Bug 596599 - [abrt] crash in insight-6.8.1-2.fc12: Tcl_CreateHashEntry: Process /usr/bin/insight was killed by signal 11 (SIGSEGV)
[abrt] crash in insight-6.8.1-2.fc12: Tcl_CreateHashEntry: Process /usr/bin/i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: insight (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Monnerat
Fedora Extras Quality Assurance
abrt_hash:abe34172988d9e7436fa125fea3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 01:11 EDT by Matthew Saltzman
Modified: 2010-12-03 09:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.46 KB, text/plain)
2010-05-27 01:11 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2010-05-27 01:11:49 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: insight --enable-external-editor --tclcommand /home/mjs/.snavigator/SNDB4/tmp_31r5xO /home/mjs/research/coin-or/svn/Clp/trunk/Clp/examples/addColumns.cpp
comment: Opened insight from within Source Navigator.  Ran until the subject code segfaulted.  Closed insight with the window's border closew button (upper right corner of window).  insight crashed.
component: insight
crash_function: Tcl_CreateHashEntry
executable: /usr/bin/insight
global_uuid: abe34172988d9e7436fa125fea3416a472e27e40
kernel: 2.6.32.12-115.fc12.x86_64
package: insight-6.8.1-2.fc12
rating: 4
reason: Process /usr/bin/insight was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Matthew Saltzman 2010-05-27 01:11:52 EDT
Created attachment 417120 [details]
File: backtrace
Comment 2 Patrick Monnerat 2010-05-27 06:31:39 EDT
Thanks for the bug report.
I tried to reproduce this crash outside source navigator (not installed here)without success. From what I can see from the cmdline and backtrace, the crash seems to occur while tcl is under control of code provided by source navigator, and is therefore outside of insight's scope.
Please note that source navigator is not an official Fedora package. What version are you using ? What is the content of /home/mjs/.snavigator/SNDB4/tmp_31r5xO ? I suggest you request some help from the source navigator project people (they probably know tcl better than me!). Please keep me informed. Thanks
Comment 3 Matthew Saltzman 2010-05-28 01:09:05 EDT
I don't have that file at this point.  Perhaps it is cleared when snav is restarted?

I will try to reproduce and contact the snav crew, and I'll report back.  Thanks for the information.
Comment 4 Bug Zapper 2010-11-03 10:04:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 09:18:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.